@import url('https://fonts.googleapis.com/css?family=Herr+Von+Muellerhoff');

.docuNoselect,.docuEditor,.docuEditor *{
  -webkit-touch-callout: none;
    -webkit-user-select: none;
     -khtml-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
}

#docuForm{display:none;}

.docuEditor{display:block;}

.docuEditor .pag,.docuEditor .pag *,.docuUse .pag,.docuUse .pag *{
  pointer-events:none;
}
.docuEditor>img{
  pointer-events:none;
  -webkit-touch-callout: none;
    -webkit-user-select: none;
     -khtml-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
}
.docuDrag,.docu {
  padding:10px;
  box-sizing: border-box;
  position:absolute;
  top:0;
  left:0;
  z-index:1;
  transition: unset;
  -webkit-transition: unset;
}
.docuDrag.docu{
background-color:rgba(255, 255, 255, 0.67);
}

/*.docuLabel input{border:none!important;}*/

.docuDrag .pdf-selecionado{display:none;}
.docuDrag.docuActive .pdf-selecionado{display:block;}
.docuDrag.docuActive{border-style:solid;border-color: #2ab48e;}

.docuDrag input,.docuDrag select,.docuDrag textarea{
  width: 100%!important;
  min-width: unset!important;
  height: 100%!important;
  min-height: unset!important;
  padding:0!important;
}

.docuEditor .docuDrag,.docuEditor .docu {
  /*border:4px solid red;*/
}
.docuEditor .docuDrag[type="checkbox"],.docuEditor .docu[type="checkbox"],.docuEditor .docuDrag[type="radio"],.docuEditor .docu[type="radio"]{
  /*outline: 4px solid red;*/
}

.docuEditor .docuDrag:not([type=checkbox]):not([type=radio]){
  outline: none;
}

.docuEditor .docuActive{
  /*border:4px solid yellow;*/
  z-index:1000;
}
.docuActive[type="checkbox"],.docuActive[type="radio"]{
  /*outline: 4px solid yellow!important;*/
}

.docu-panel-input{display:none;}
.docuShow{display:block!important;}
.docu{resize:none;}

.docuSignatureAutoSize{width:auto!important;height:auto!important;padding:0;}

.docuSignature,.docuInitials{background:#ccc;}
.docuSignature:before,.docuInitials:before {
  content: " ";
  width: 20%;
  height: 20%;
  position: absolute;
  background-size: contain;
  background-repeat: no-repeat;
  top: 15px;
  left: 15px;
}
.docuSignature:before{
  background-image: url(../images/assinatura.png);
}
.docuInitials:before{
  background-image: url(../images/inicial.png);
}

.docuInitials.hidebefore:before,.docuSignature.hidebefore:before{
  content:none;
}

/* MODAL */
.modaloverlay {
  background: rgba(0, 0, 0, 0.8);
  bottom: 0;
  left: 0;
  opacity: 0;
  pointer-events: none;
  position: fixed;
  right: 0;
  top: 0;
  -webkit-transition: opacity 400ms ease-in;
  -moz-transition: opacity 400ms ease-in;
  transition: opacity 400ms ease-in;
  z-index: -1;
  display: none;
}
.modaloverlay.active {
  display: block;
  opacity: 1;
  pointer-events: auto;
  z-index: 99999;
}
.modaloverlay .modal-content {
  background-color: white;
  height: 100%;
  position: relative;
  margin: 0 auto;
  padding: 1em;
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
}
@media (min-width: 40em) {
  .modaloverlay .modal-content {
    height: 75%;
    margin: 5% auto;
    max-height: 22em;
    max-width: 66em;
    width: 85%;
  }
}
.modaloverlay .modal-content > iframe, .modaloverlay .modal-content > div {
  border: none;
  width: 100%;
  height: 100%;
}
.modaloverlay .docu-modal-close {
  background-color: turquoise;
  color: white;
  font-size: 24px;
  padding: 8px 12px;
  position: absolute;
  right: 0;
  text-align: center;
  text-decoration: none;
  top: 0;
  z-index: 1;
}
.modaloverlay .docu-tabs-button{
  position: static;
  background-color: turquoise;
  color: #fff;
  padding: 5px 10px;
  opacity: 0.5;
  text-align: center;
  text-decoration: none;
  z-index:1;
}

.modaloverlay .docu-tabs-button:hover,.modaloverlay .docu-tabs-button.active{
  opacity: 1!important;
}

.docuHandwrite{
  font-family: 'Herr Von Muellerhoff', cursive;
  padding:20px;
  font-size:5em;
  box-sizing: border-box;
}
.docuSignatureImage,.docuSignatureText{
  width: 100%;
  height: 100%;
  margin: 0 auto;
  position: absolute;
  bottom: 0;
  left: 0;
  pointer-events: none;
}

.docuSignatureText{
  padding: 2px;
}


a.docu.inp:focus{
  border:none!important;
}

.docuUse .docuLabel,.docuLabel input{
  background: transparent!important;
  border: none!important;
  cursor: default;
  padding:0;
  font-weight:bold;
  -webkit-touch-callout: none;
    -webkit-user-select: none;
     -khtml-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
}
.docuText,.docuSelect,.docuDate,.docuMoney,.docuCreditcard{
  width:255px;
  height:60px;
}

.docuTextarea{
  width:252px;
  height:90px;
}

.docuCheckbox,.docuRadio{
  width: 38px;
  height: 38px;
}

.docuSignature{
  width: 277px;
  height: 148px;
}
.docuInitials{
  width: 90px;
  height: 87px;
}
